Bug 433559 - Inexact font match produces different results between i386,x86_64
Inexact font match produces different results between i386,x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 19:20 EST by John Ellson
Modified: 2009-07-14 11:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:02:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2008-02-19 19:20:40 EST
Description of problem:
With dejavu and bitstream fonts installed, but freefont not installed, "fc-match
freesans" (also "fc-match sans") produces a different results on i386 than on
x86_64.

At first I thought this caused doxygen/graphviz to generate different results on
each platform which caused the file conflicts in multiarch installs. Bug
#432683.  It could have been, but in this case "sans" from dejavu and bitstream
produce identical images.  Its more likely that one of the build platfoms has
freefont installed, which does produce different images.


Version-Release number of selected component (if applicable):
fontconfig-2.5.0-2.fc9


How reproducible:
100%

Steps to Reproduce:
1. yum list 'dejavu*' 'bitstream*' 'freefont*'
2. fc-match freesans
3.
  
Actual results:

Installed Packages
bitstream-vera-fonts.noarch              1.10-8                 installed       
dejavu-fonts.noarch                      2.23-1.fc9             installed       
dejavu-fonts-experimental.noarch         2.23-1.fc9             installed       
dejavu-lgc-fonts.noarch                  2.23-1.fc9             installed       
Available Packages
freefont.noarch                          20060126-4.fc7         development 


Vera.ttf: "Bitstream Vera Sans" "Roman"     <<-- x86_64

DejaVuSans.ttf: "DejaVu Sans" "Book"        <<-- i386
    

Expected results:
Same font on both architectures, given same fonts installed.

Additional info:
Comment 1 Bug Zapper 2008-05-14 01:17:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:35:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:02:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.